# (C) 2001-2020 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.



# Cut the unnecessary timing paths in the DCFIFO 
## *********************************************************************************
set_false_path -to [get_pins -nocase -compatibility_mode *fifo*|dcfifo_component|auto_generated|wraclr|dff*|clrn]
set_false_path -to [get_pins -nocase -compatibility_mode *fifo*|dcfifo_component|auto_generated|rdaclr|dff*|clrn]

## *********************************************************************************
## DCFIFO Constraints
## Calling apply_sdc_dcfifo procedure from other SDC file
## *********************************************************************************

apply_sdc_dcfifo u_vid_bypass_fifo
apply_sdc_dcfifo u_aud_bypass_fifo
apply_sdc_dcfifo u_if_passthru_fifo
apply_sdc_dcfifo u_aux_passthru_fifo

