// fifo.v

// Generated using ACDS version 20.2 50

`timescale 1 ps / 1 ps
module fifo (
		input  wire [19:0] data,    //  fifo_input.datain
		input  wire        wrreq,   //            .wrreq
		input  wire        rdreq,   //            .rdreq
		input  wire        wrclk,   //            .wrclk
		input  wire        rdclk,   //            .rdclk
		input  wire        aclr,    //            .aclr
		output wire [19:0] q,       // fifo_output.dataout
		output wire [7:0]  rdusedw, //            .rdusedw
		output wire [7:0]  wrusedw, //            .wrusedw
		output wire        rdempty, //            .rdempty
		output wire        wrfull   //            .wrfull
	);

	fifo_fifo_1910_euynl7y fifo (
		.data    (data),    //   input,  width = 20,  fifo_input.datain
		.wrreq   (wrreq),   //   input,   width = 1,            .wrreq
		.rdreq   (rdreq),   //   input,   width = 1,            .rdreq
		.wrclk   (wrclk),   //   input,   width = 1,            .wrclk
		.rdclk   (rdclk),   //   input,   width = 1,            .rdclk
		.aclr    (aclr),    //   input,   width = 1,            .aclr
		.q       (q),       //  output,  width = 20, fifo_output.dataout
		.rdusedw (rdusedw), //  output,   width = 8,            .rdusedw
		.wrusedw (wrusedw), //  output,   width = 8,            .wrusedw
		.rdempty (rdempty), //  output,   width = 1,            .rdempty
		.wrfull  (wrfull)   //  output,   width = 1,            .wrfull
	);

endmodule
