	component avalon_st_multiplexer_0 is
		port (
			clk               : in  std_logic                     := 'X';             -- clk
			reset_n           : in  std_logic                     := 'X';             -- reset_n
			out_data          : out std_logic_vector(71 downto 0);                    -- data
			out_valid         : out std_logic;                                        -- valid
			out_ready         : in  std_logic                     := 'X';             -- ready
			out_startofpacket : out std_logic;                                        -- startofpacket
			out_endofpacket   : out std_logic;                                        -- endofpacket
			out_channel       : out std_logic;                                        -- channel
			in0_data          : in  std_logic_vector(71 downto 0) := (others => 'X'); -- data
			in0_valid         : in  std_logic                     := 'X';             -- valid
			in0_ready         : out std_logic;                                        -- ready
			in0_startofpacket : in  std_logic                     := 'X';             -- startofpacket
			in0_endofpacket   : in  std_logic                     := 'X';             -- endofpacket
			in1_data          : in  std_logic_vector(71 downto 0) := (others => 'X'); -- data
			in1_valid         : in  std_logic                     := 'X';             -- valid
			in1_ready         : out std_logic;                                        -- ready
			in1_startofpacket : in  std_logic                     := 'X';             -- startofpacket
			in1_endofpacket   : in  std_logic                     := 'X'              -- endofpacket
		);
	end component avalon_st_multiplexer_0;

	u0 : component avalon_st_multiplexer_0
		port map (
			clk               => CONNECTED_TO_clk,               --   clk.clk
			reset_n           => CONNECTED_TO_reset_n,           -- reset.reset_n
			out_data          => CONNECTED_TO_out_data,          --   out.data
			out_valid         => CONNECTED_TO_out_valid,         --      .valid
			out_ready         => CONNECTED_TO_out_ready,         --      .ready
			out_startofpacket => CONNECTED_TO_out_startofpacket, --      .startofpacket
			out_endofpacket   => CONNECTED_TO_out_endofpacket,   --      .endofpacket
			out_channel       => CONNECTED_TO_out_channel,       --      .channel
			in0_data          => CONNECTED_TO_in0_data,          --   in0.data
			in0_valid         => CONNECTED_TO_in0_valid,         --      .valid
			in0_ready         => CONNECTED_TO_in0_ready,         --      .ready
			in0_startofpacket => CONNECTED_TO_in0_startofpacket, --      .startofpacket
			in0_endofpacket   => CONNECTED_TO_in0_endofpacket,   --      .endofpacket
			in1_data          => CONNECTED_TO_in1_data,          --   in1.data
			in1_valid         => CONNECTED_TO_in1_valid,         --      .valid
			in1_ready         => CONNECTED_TO_in1_ready,         --      .ready
			in1_startofpacket => CONNECTED_TO_in1_startofpacket, --      .startofpacket
			in1_endofpacket   => CONNECTED_TO_in1_endofpacket    --      .endofpacket
		);

