module nios (
		input  wire [1:0]  color_depth_pio_external_connection_export,                //             color_depth_pio_external_connection.export
		input  wire        clock_bridge_0_in_clk_clk,                                 //                           clock_bridge_0_in_clk.clk
		input  wire        reset_bridge_0_in_reset_reset_n,                           //                         reset_bridge_0_in_reset.reset_n
		output wire        edid_ram_access_pio_external_connection_export,            //         edid_ram_access_pio_external_connection.export
		output wire [7:0]  edid_ram_slave_translator_address,                         //                       edid_ram_slave_translator.address
		output wire        edid_ram_slave_translator_write,                           //                                                .write
		output wire        edid_ram_slave_translator_read,                            //                                                .read
		input  wire [7:0]  edid_ram_slave_translator_readdata,                        //                                                .readdata
		output wire [7:0]  edid_ram_slave_translator_writedata,                       //                                                .writedata
		input  wire        edid_ram_slave_translator_waitrequest,                     //                                                .waitrequest
		input  wire        i2c_master_i2c_serial_sda_in,                              //                           i2c_master_i2c_serial.sda_in
		input  wire        i2c_master_i2c_serial_scl_in,                              //                                                .scl_in
		output wire        i2c_master_i2c_serial_sda_oe,                              //                                                .sda_oe
		output wire        i2c_master_i2c_serial_scl_oe,                              //                                                .scl_oe
		input  wire        i2c_master_ti_i2c_serial_sda_in,                           //                        i2c_master_ti_i2c_serial.sda_in
		input  wire        i2c_master_ti_i2c_serial_scl_in,                           //                                                .scl_in
		output wire        i2c_master_ti_i2c_serial_sda_oe,                           //                                                .sda_oe
		output wire        i2c_master_ti_i2c_serial_scl_oe,                           //                                                .scl_oe
		input  wire [23:0] measure_pio_external_connection_export,                    //                 measure_pio_external_connection.export
		output wire        measure_valid_ack_export,                                  //                               measure_valid_ack.export
		input  wire        measure_valid_req_export,                                  //                               measure_valid_req.export
		input  wire        tmds_bit_clock_ratio_pio_external_connection_export,       //    tmds_bit_clock_ratio_pio_external_connection.export
		output wire        tx_hpd_ack_pio_external_connection_export,                 //              tx_hpd_ack_pio_external_connection.export
		input  wire        tx_hpd_req_pio_external_connection_export,                 //              tx_hpd_req_pio_external_connection.export
		output wire [9:0]  tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_address,   // tx_iopll_rcfg_mgmt_translator_avalon_anti_slave.address
		output wire        tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_write,     //                                                .write
		output wire        tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_read,      //                                                .read
		input  wire [31:0] tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_readdata,  //                                                .readdata
		output wire [31:0] tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_writedata, //                                                .writedata
		input  wire        tx_iopll_waitrequest_pio_external_connection_export,       //    tx_iopll_waitrequest_pio_external_connection.export
		output wire [1:0]  tx_os_pio_external_connection_export,                      //                   tx_os_pio_external_connection.export
		output wire [10:0] tx_pll_rcfg_mgmt_translator_avalon_anti_slave_address,     //   tx_pll_rcfg_mgmt_translator_avalon_anti_slave.address
		output wire        tx_pll_rcfg_mgmt_translator_avalon_anti_slave_write,       //                                                .write
		output wire        tx_pll_rcfg_mgmt_translator_avalon_anti_slave_read,        //                                                .read
		input  wire [31:0] tx_pll_rcfg_mgmt_translator_avalon_anti_slave_readdata,    //                                                .readdata
		output wire [31:0] tx_pll_rcfg_mgmt_translator_avalon_anti_slave_writedata,   //                                                .writedata
		input  wire        tx_pll_rcfg_mgmt_translator_avalon_anti_slave_waitrequest, //                                                .waitrequest
		input  wire        tx_pll_waitrequest_pio_external_connection_export,         //      tx_pll_waitrequest_pio_external_connection.export
		input  wire        tx_pma_cal_busy_pio_external_connection_export,            //         tx_pma_cal_busy_pio_external_connection.export
		output wire [1:0]  tx_pma_ch_export,                                          //                                       tx_pma_ch.export
		output wire [12:0] tx_pma_rcfg_mgmt_translator_avalon_anti_slave_address,     //   tx_pma_rcfg_mgmt_translator_avalon_anti_slave.address
		output wire        tx_pma_rcfg_mgmt_translator_avalon_anti_slave_write,       //                                                .write
		output wire        tx_pma_rcfg_mgmt_translator_avalon_anti_slave_read,        //                                                .read
		input  wire [31:0] tx_pma_rcfg_mgmt_translator_avalon_anti_slave_readdata,    //                                                .readdata
		output wire [31:0] tx_pma_rcfg_mgmt_translator_avalon_anti_slave_writedata,   //                                                .writedata
		input  wire        tx_pma_rcfg_mgmt_translator_avalon_anti_slave_waitrequest, //                                                .waitrequest
		input  wire        tx_pma_waitrequest_pio_external_connection_export,         //      tx_pma_waitrequest_pio_external_connection.export
		output wire        tx_rcfg_en_pio_external_connection_export,                 //              tx_rcfg_en_pio_external_connection.export
		output wire        tx_rst_pll_pio_external_connection_export,                 //              tx_rst_pll_pio_external_connection.export
		output wire        tx_rst_xcvr_pio_external_connection_export,                //             tx_rst_xcvr_pio_external_connection.export
		output wire        wd_timer_resetrequest_reset                                //                           wd_timer_resetrequest.reset
	);
endmodule

