// ex_40g_s10.v

// Generated using ACDS version 18.1.1 263

`timescale 1 ps / 1 ps
module ex_40g_s10 (
		input  wire         clk_status,            //       status.clk_status
		input  wire         status_write,          //             .status_write
		input  wire         status_read,           //             .status_read
		input  wire [15:0]  status_addr,           //             .status_addr
		input  wire [31:0]  status_writedata,      //             .status_writedata
		output wire [31:0]  status_readdata,       //             .status_readdata
		output wire         status_readdata_valid, //             .status_readdata_valid
		output wire         status_waitrequest,    //             .status_waitrequest
		output wire         clk_txmac,             // avalon_st_tx.clk_txmac
		input  wire         l2_tx_startofpacket,   //             .l2_tx_startofpacket
		input  wire         l2_tx_error,           //             .l2_tx_error
		input  wire         l2_tx_endofpacket,     //             .l2_tx_endofpacket
		input  wire         l2_tx_valid,           //             .l2_tx_valid
		output wire         l2_tx_ready,           //             .l2_tx_ready
		input  wire [3:0]   l2_tx_empty,           //             .l2_tx_empty
		input  wire [127:0] l2_tx_data,            //             .l2_tx_data
		output wire         clk_rxmac,             // avalon_st_rx.clk_rxmac
		output wire [5:0]   l2_rx_error,           //             .l2_rx_error
		output wire         l2_rx_valid,           //             .l2_rx_valid
		output wire         l2_rx_startofpacket,   //             .l2_rx_startofpacket
		output wire         l2_rx_endofpacket,     //             .l2_rx_endofpacket
		output wire [3:0]   l2_rx_empty,           //             .l2_rx_empty
		output wire [127:0] l2_rx_data,            //             .l2_rx_data
		output wire [3:0]   tx_serial,             // serial_lanes.tx_serial
		input  wire [3:0]   rx_serial,             //             .rx_serial
		input  wire         reconfig_clk,          //     reconfig.reconfig_clk
		input  wire         reconfig_reset,        //             .reconfig_reset
		input  wire         reconfig_write,        //             .reconfig_write
		input  wire         reconfig_read,         //             .reconfig_read
		input  wire [12:0]  reconfig_address,      //             .reconfig_address
		input  wire [31:0]  reconfig_writedata,    //             .reconfig_writedata
		output wire [31:0]  reconfig_readdata,     //             .reconfig_readdata
		output wire         reconfig_waitrequest,  //             .reconfig_waitrequest
		output wire         tx_lanes_stable,       //        other.tx_lanes_stable
		output wire         rx_pcs_ready,          //             .rx_pcs_ready
		input  wire         clk_ref,               //             .clk_ref
		input  wire         csr_rst_n,             //             .csr_rst_n
		input  wire         tx_rst_n,              //             .tx_rst_n
		input  wire         rx_rst_n,              //             .rx_rst_n
		output wire         rx_block_lock,         //             .rx_block_lock
		output wire         rx_am_lock,            //             .rx_am_lock
		input  wire         tx_serial_clk,         //             .tx_serial_clk
		input  wire         tx_pll_locked,         //             .tx_pll_locked
		output wire         l2_txstatus_valid,     //        stats.l2_txstatus_valid
		output wire [39:0]  l2_txstatus_data,      //             .l2_txstatus_data
		output wire [6:0]   l2_txstatus_error,     //             .l2_txstatus_error
		output wire         l2_rxstatus_valid,     //             .l2_rxstatus_valid
		output wire [39:0]  l2_rxstatus_data       //             .l2_rxstatus_data
	);

	ex_40g_s10_alt_e40_181_cg3cekq #(
		.TARGET_CHIP          (6),
		.EXT_TX_PLL           (0),
		.SYNOPT_SYNC_E        (0),
		.SYNOPT_TXCRC_INS     (1),
		.SYNOPT_LINK_FAULT    (0),
		.SYNOPT_PREAMBLE_PASS (0),
		.SYNOPT_MAC_STATS     (1),
		.SYNOPT_STRICT_SOP    (0),
		.SYNOPT_FLOW_CONTROL  (0),
		.SYNOPT_NUMPRIORITY   (1),
		.SYNOPT_READY_LATENCY (0),
		.PHY_REFCLK           (1),
		.SYNTH_AN             (0),
		.SYNTH_SEQ            (0),
		.LINK_TIMER_KR        (504),
		.AN_TECH              (8),
		.AN_CHAN              (1),
		.AN_PAUSE             (0),
		.SYNTH_LT             (0),
		.BERWIDTH             (9),
		.TRNWTWIDTH           (7),
		.USE_DEBUG_CPU        (0),
		.VMAXRULE             (30),
		.VMINRULE             (6),
		.VODMINRULE           (14),
		.VPOSTRULE            (25),
		.VPRERULE             (16),
		.PREMAINVAL           (30),
		.PREPOSTVAL           (0),
		.PREPREVAL            (0),
		.INITMAINVAL          (25),
		.INITPOSTVAL          (13),
		.INITPREVAL           (3),
		.SYNTH_FEC            (0),
		.CAPABLE_FEC          (0),
		.ENABLE_FEC           (0),
		.RX_PLL_TYPE          ("IOPLL")
	) alt_e40_0 (
		.clk_status            (clk_status),                                                           //   input,    width = 1,       status.clk_status
		.status_write          (status_write),                                                         //   input,    width = 1,             .status_write
		.status_read           (status_read),                                                          //   input,    width = 1,             .status_read
		.status_addr           (status_addr),                                                          //   input,   width = 16,             .status_addr
		.status_writedata      (status_writedata),                                                     //   input,   width = 32,             .status_writedata
		.status_readdata       (status_readdata),                                                      //  output,   width = 32,             .status_readdata
		.status_readdata_valid (status_readdata_valid),                                                //  output,    width = 1,             .status_readdata_valid
		.status_waitrequest    (status_waitrequest),                                                   //  output,    width = 1,             .status_waitrequest
		.clk_txmac             (clk_txmac),                                                            //  output,    width = 1, avalon_st_tx.clk_txmac
		.l2_tx_startofpacket   (l2_tx_startofpacket),                                                  //   input,    width = 1,             .l2_tx_startofpacket
		.l2_tx_error           (l2_tx_error),                                                          //   input,    width = 1,             .l2_tx_error
		.l2_tx_endofpacket     (l2_tx_endofpacket),                                                    //   input,    width = 1,             .l2_tx_endofpacket
		.l2_tx_valid           (l2_tx_valid),                                                          //   input,    width = 1,             .l2_tx_valid
		.l2_tx_ready           (l2_tx_ready),                                                          //  output,    width = 1,             .l2_tx_ready
		.l2_tx_empty           (l2_tx_empty),                                                          //   input,    width = 4,             .l2_tx_empty
		.l2_tx_data            (l2_tx_data),                                                           //   input,  width = 128,             .l2_tx_data
		.clk_rxmac             (clk_rxmac),                                                            //  output,    width = 1, avalon_st_rx.clk_rxmac
		.l2_rx_error           (l2_rx_error),                                                          //  output,    width = 6,             .l2_rx_error
		.l2_rx_valid           (l2_rx_valid),                                                          //  output,    width = 1,             .l2_rx_valid
		.l2_rx_startofpacket   (l2_rx_startofpacket),                                                  //  output,    width = 1,             .l2_rx_startofpacket
		.l2_rx_endofpacket     (l2_rx_endofpacket),                                                    //  output,    width = 1,             .l2_rx_endofpacket
		.l2_rx_empty           (l2_rx_empty),                                                          //  output,    width = 4,             .l2_rx_empty
		.l2_rx_data            (l2_rx_data),                                                           //  output,  width = 128,             .l2_rx_data
		.tx_serial             (tx_serial),                                                            //  output,    width = 4, serial_lanes.tx_serial
		.rx_serial             (rx_serial),                                                            //   input,    width = 4,             .rx_serial
		.reconfig_clk          (reconfig_clk),                                                         //   input,    width = 1,     reconfig.reconfig_clk
		.reconfig_reset        (reconfig_reset),                                                       //   input,    width = 1,             .reconfig_reset
		.reconfig_write        (reconfig_write),                                                       //   input,    width = 1,             .reconfig_write
		.reconfig_read         (reconfig_read),                                                        //   input,    width = 1,             .reconfig_read
		.reconfig_address      (reconfig_address),                                                     //   input,   width = 13,             .reconfig_address
		.reconfig_writedata    (reconfig_writedata),                                                   //   input,   width = 32,             .reconfig_writedata
		.reconfig_readdata     (reconfig_readdata),                                                    //  output,   width = 32,             .reconfig_readdata
		.reconfig_waitrequest  (reconfig_waitrequest),                                                 //  output,    width = 1,             .reconfig_waitrequest
		.tx_lanes_stable       (tx_lanes_stable),                                                      //  output,    width = 1,        other.tx_lanes_stable
		.rx_pcs_ready          (rx_pcs_ready),                                                         //  output,    width = 1,             .rx_pcs_ready
		.clk_ref               (clk_ref),                                                              //   input,    width = 1,             .clk_ref
		.csr_rst_n             (csr_rst_n),                                                            //   input,    width = 1,             .csr_rst_n
		.tx_rst_n              (tx_rst_n),                                                             //   input,    width = 1,             .tx_rst_n
		.rx_rst_n              (rx_rst_n),                                                             //   input,    width = 1,             .rx_rst_n
		.rx_block_lock         (rx_block_lock),                                                        //  output,    width = 1,             .rx_block_lock
		.rx_am_lock            (rx_am_lock),                                                           //  output,    width = 1,             .rx_am_lock
		.tx_serial_clk         (tx_serial_clk),                                                        //   input,    width = 1,             .tx_serial_clk
		.tx_pll_locked         (tx_pll_locked),                                                        //   input,    width = 1,             .tx_pll_locked
		.l2_txstatus_valid     (l2_txstatus_valid),                                                    //  output,    width = 1,        stats.l2_txstatus_valid
		.l2_txstatus_data      (l2_txstatus_data),                                                     //  output,   width = 40,             .l2_txstatus_data
		.l2_txstatus_error     (l2_txstatus_error),                                                    //  output,    width = 7,             .l2_txstatus_error
		.l2_rxstatus_valid     (l2_rxstatus_valid),                                                    //  output,    width = 1,             .l2_rxstatus_valid
		.l2_rxstatus_data      (l2_rxstatus_data),                                                     //  output,   width = 40,             .l2_rxstatus_data
		.l2_tx_preamble        (64'b0000000000000000000000000000000000000000000000000000000000000000), // (terminated),                            
		.l2_rx_preamble        (),                                                                     // (terminated),                            
		.clk_txmac_in          (1'b0),                                                                 // (terminated),                            
		.clk_rx_recover        (),                                                                     // (terminated),                            
		.remote_fault_status   (),                                                                     // (terminated),                            
		.local_fault_status    (),                                                                     // (terminated),                            
		.pause_insert_tx0      (1'b0),                                                                 // (terminated),                            
		.pause_insert_tx1      (1'b0),                                                                 // (terminated),                            
		.pause_receive_rx      ()                                                                      // (terminated),                            
	);

endmodule
