// Test_Pattern.v

// Generated using ACDS version 20.2 50

`timescale 1 ps / 1 ps
module Test_Pattern (
		input  wire        alt_vip_cl_cvo_clocked_video_vid_clk,       // alt_vip_cl_cvo_clocked_video.vid_clk
		output wire [95:0] alt_vip_cl_cvo_clocked_video_vid_data,      //                             .vid_data
		output wire        alt_vip_cl_cvo_clocked_video_underflow,     //                             .underflow
		output wire [1:0]  alt_vip_cl_cvo_clocked_video_vid_datavalid, //                             .vid_datavalid
		output wire [1:0]  alt_vip_cl_cvo_clocked_video_vid_v_sync,    //                             .vid_v_sync
		output wire [1:0]  alt_vip_cl_cvo_clocked_video_vid_h_sync,    //                             .vid_h_sync
		output wire [1:0]  alt_vip_cl_cvo_clocked_video_vid_f,         //                             .vid_f
		output wire [1:0]  alt_vip_cl_cvo_clocked_video_vid_h,         //                             .vid_h
		output wire [1:0]  alt_vip_cl_cvo_clocked_video_vid_v,         //                             .vid_v
		input  wire        clock_in_clk_clk,                           //                 clock_in_clk.clk
		input  wire        reset_in_reset_reset_n                      //               reset_in_reset.reset_n
	);

	wire         alt_vip_cl_tpg_dout_valid;         // alt_vip_cl_tpg:dout_valid -> alt_vip_cl_cvo:din_valid
	wire  [95:0] alt_vip_cl_tpg_dout_data;          // alt_vip_cl_tpg:dout_data -> alt_vip_cl_cvo:din_data
	wire         alt_vip_cl_tpg_dout_ready;         // alt_vip_cl_cvo:din_ready -> alt_vip_cl_tpg:dout_ready
	wire         alt_vip_cl_tpg_dout_startofpacket; // alt_vip_cl_tpg:dout_startofpacket -> alt_vip_cl_cvo:din_startofpacket
	wire         alt_vip_cl_tpg_dout_endofpacket;   // alt_vip_cl_tpg:dout_endofpacket -> alt_vip_cl_cvo:din_endofpacket
	wire   [2:0] alt_vip_cl_tpg_dout_empty;         // alt_vip_cl_tpg:dout_empty -> alt_vip_cl_cvo:din_empty
	wire         clock_100_out_clk_clk;             // clock_100:out_clk -> [iopll_0:refclk, reset_100:clk]
	wire         iopll_0_outclk0_clk;               // iopll_0:outclk_0 -> [alt_vip_cl_cvo:main_clock_clk, alt_vip_cl_tpg:main_clock, rst_controller:clk]
	wire         reset_100_out_reset_reset;         // reset_100:out_reset_n -> [iopll_0:rst, rst_controller:reset_in0]
	wire         rst_controller_reset_out_reset;    // rst_controller:reset_out -> [alt_vip_cl_cvo:main_reset_reset, alt_vip_cl_tpg:main_reset]

	Test_Pattern_alt_vip_cl_cvo_0 alt_vip_cl_cvo (
		.main_clock_clk              (iopll_0_outclk0_clk),                        //   input,   width = 1,    main_clock.clk
		.main_reset_reset            (rst_controller_reset_out_reset),             //   input,   width = 1,    main_reset.reset
		.din_data                    (alt_vip_cl_tpg_dout_data),                   //   input,  width = 96,           din.data
		.din_valid                   (alt_vip_cl_tpg_dout_valid),                  //   input,   width = 1,              .valid
		.din_startofpacket           (alt_vip_cl_tpg_dout_startofpacket),          //   input,   width = 1,              .startofpacket
		.din_endofpacket             (alt_vip_cl_tpg_dout_endofpacket),            //   input,   width = 1,              .endofpacket
		.din_empty                   (alt_vip_cl_tpg_dout_empty),                  //   input,   width = 3,              .empty
		.din_ready                   (alt_vip_cl_tpg_dout_ready),                  //  output,   width = 1,              .ready
		.clocked_video_vid_clk       (alt_vip_cl_cvo_clocked_video_vid_clk),       //   input,   width = 1, clocked_video.vid_clk
		.clocked_video_vid_data      (alt_vip_cl_cvo_clocked_video_vid_data),      //  output,  width = 96,              .vid_data
		.clocked_video_underflow     (alt_vip_cl_cvo_clocked_video_underflow),     //  output,   width = 1,              .underflow
		.clocked_video_vid_datavalid (alt_vip_cl_cvo_clocked_video_vid_datavalid), //  output,   width = 2,              .vid_datavalid
		.clocked_video_vid_v_sync    (alt_vip_cl_cvo_clocked_video_vid_v_sync),    //  output,   width = 2,              .vid_v_sync
		.clocked_video_vid_h_sync    (alt_vip_cl_cvo_clocked_video_vid_h_sync),    //  output,   width = 2,              .vid_h_sync
		.clocked_video_vid_f         (alt_vip_cl_cvo_clocked_video_vid_f),         //  output,   width = 2,              .vid_f
		.clocked_video_vid_h         (alt_vip_cl_cvo_clocked_video_vid_h),         //  output,   width = 2,              .vid_h
		.clocked_video_vid_v         (alt_vip_cl_cvo_clocked_video_vid_v)          //  output,   width = 2,              .vid_v
	);

	Test_Pattern_alt_vip_cl_tpg_0 alt_vip_cl_tpg (
		.main_clock         (iopll_0_outclk0_clk),               //   input,   width = 1, main_clock.clk
		.main_reset         (rst_controller_reset_out_reset),    //   input,   width = 1, main_reset.reset
		.dout_data          (alt_vip_cl_tpg_dout_data),          //  output,  width = 96,       dout.data
		.dout_valid         (alt_vip_cl_tpg_dout_valid),         //  output,   width = 1,           .valid
		.dout_startofpacket (alt_vip_cl_tpg_dout_startofpacket), //  output,   width = 1,           .startofpacket
		.dout_endofpacket   (alt_vip_cl_tpg_dout_endofpacket),   //  output,   width = 1,           .endofpacket
		.dout_empty         (alt_vip_cl_tpg_dout_empty),         //  output,   width = 3,           .empty
		.dout_ready         (alt_vip_cl_tpg_dout_ready)          //   input,   width = 1,           .ready
	);

	Test_Pattern_clock_bridge_0 clock_100 (
		.in_clk  (clock_in_clk_clk),      //   input,  width = 1,  in_clk.clk
		.out_clk (clock_100_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	Test_Pattern_iopll_0 iopll_0 (
		.rst      (~reset_100_out_reset_reset), //   input,  width = 1,   reset.reset
		.refclk   (clock_100_out_clk_clk),      //   input,  width = 1,  refclk.clk
		.locked   (),                           //  output,  width = 1,  locked.export
		.outclk_0 (iopll_0_outclk0_clk)         //  output,  width = 1, outclk0.clk
	);

	Test_Pattern_reset_bridge_0 reset_100 (
		.clk         (clock_100_out_clk_clk),     //   input,  width = 1,       clk.clk
		.in_reset_n  (reset_in_reset_reset_n),    //   input,  width = 1,  in_reset.reset_n
		.out_reset_n (reset_100_out_reset_reset)  //  output,  width = 1, out_reset.reset_n
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_100_out_reset_reset),     //   input,  width = 1, reset_in0.reset
		.clk            (iopll_0_outclk0_clk),            //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                               // (terminated),                       
		.reset_req_in0  (1'b0),                           // (terminated),                       
		.reset_in1      (1'b0),                           // (terminated),                       
		.reset_req_in1  (1'b0),                           // (terminated),                       
		.reset_in2      (1'b0),                           // (terminated),                       
		.reset_req_in2  (1'b0),                           // (terminated),                       
		.reset_in3      (1'b0),                           // (terminated),                       
		.reset_req_in3  (1'b0),                           // (terminated),                       
		.reset_in4      (1'b0),                           // (terminated),                       
		.reset_req_in4  (1'b0),                           // (terminated),                       
		.reset_in5      (1'b0),                           // (terminated),                       
		.reset_req_in5  (1'b0),                           // (terminated),                       
		.reset_in6      (1'b0),                           // (terminated),                       
		.reset_req_in6  (1'b0),                           // (terminated),                       
		.reset_in7      (1'b0),                           // (terminated),                       
		.reset_req_in7  (1'b0),                           // (terminated),                       
		.reset_in8      (1'b0),                           // (terminated),                       
		.reset_req_in8  (1'b0),                           // (terminated),                       
		.reset_in9      (1'b0),                           // (terminated),                       
		.reset_req_in9  (1'b0),                           // (terminated),                       
		.reset_in10     (1'b0),                           // (terminated),                       
		.reset_req_in10 (1'b0),                           // (terminated),                       
		.reset_in11     (1'b0),                           // (terminated),                       
		.reset_req_in11 (1'b0),                           // (terminated),                       
		.reset_in12     (1'b0),                           // (terminated),                       
		.reset_req_in12 (1'b0),                           // (terminated),                       
		.reset_in13     (1'b0),                           // (terminated),                       
		.reset_req_in13 (1'b0),                           // (terminated),                       
		.reset_in14     (1'b0),                           // (terminated),                       
		.reset_req_in14 (1'b0),                           // (terminated),                       
		.reset_in15     (1'b0),                           // (terminated),                       
		.reset_req_in15 (1'b0)                            // (terminated),                       
	);

endmodule
