	component Test_Pattern_alt_vip_cl_tpg_0 is
		port (
			main_clock         : in  std_logic                     := 'X'; -- clk
			main_reset         : in  std_logic                     := 'X'; -- reset
			dout_data          : out std_logic_vector(95 downto 0);        -- data
			dout_valid         : out std_logic;                            -- valid
			dout_startofpacket : out std_logic;                            -- startofpacket
			dout_endofpacket   : out std_logic;                            -- endofpacket
			dout_empty         : out std_logic_vector(2 downto 0);         -- empty
			dout_ready         : in  std_logic                     := 'X'  -- ready
		);
	end component Test_Pattern_alt_vip_cl_tpg_0;

	u0 : component Test_Pattern_alt_vip_cl_tpg_0
		port map (
			main_clock         => CONNECTED_TO_main_clock,         -- main_clock.clk
			main_reset         => CONNECTED_TO_main_reset,         -- main_reset.reset
			dout_data          => CONNECTED_TO_dout_data,          --       dout.data
			dout_valid         => CONNECTED_TO_dout_valid,         --           .valid
			dout_startofpacket => CONNECTED_TO_dout_startofpacket, --           .startofpacket
			dout_endofpacket   => CONNECTED_TO_dout_endofpacket,   --           .endofpacket
			dout_empty         => CONNECTED_TO_dout_empty,         --           .empty
			dout_ready         => CONNECTED_TO_dout_ready          --           .ready
		);

