	component pll_hdmi is
		port (
			rst               : in  std_logic                     := 'X';             -- reset
			refclk            : in  std_logic                     := 'X';             -- clk
			locked            : out std_logic;                                        -- export
			reconfig_to_pll   : in  std_logic_vector(29 downto 0) := (others => 'X'); -- reconfig_to_pll
			reconfig_from_pll : out std_logic_vector(10 downto 0);                    -- reconfig_from_pll
			outclk_0          : out std_logic;                                        -- clk
			outclk_1          : out std_logic                                         -- clk
		);
	end component pll_hdmi;

	u0 : component pll_hdmi
		port map (
			rst               => CONNECTED_TO_rst,               --             reset.reset
			refclk            => CONNECTED_TO_refclk,            --            refclk.clk
			locked            => CONNECTED_TO_locked,            --            locked.export
			reconfig_to_pll   => CONNECTED_TO_reconfig_to_pll,   --   reconfig_to_pll.reconfig_to_pll
			reconfig_from_pll => CONNECTED_TO_reconfig_from_pll, -- reconfig_from_pll.reconfig_from_pll
			outclk_0          => CONNECTED_TO_outclk_0,          --           outclk0.clk
			outclk_1          => CONNECTED_TO_outclk_1           --           outclk1.clk
		);

